Package org.apache.sling.cms

## Interface ComponentConfiguration

    public interface ComponentConfiguration

A class to retrieve the configuration for a Resource's component.

### Method Summary

All Methods Instance Methods Abstract Methods
`org.apache.sling.api.resource.ValueMap` `getProperties()` Get the ValueMap for the resource's component configuration.
`org.apache.sling.api.resource.Resource` `getResource()` Get the Resource backing for the resource's component configuration.

### Method Detail

#### getProperties

    org.apache.sling.api.resource.ValueMap getProperties()

Get the ValueMap for the resource's component configuration.

Returns:
  the configuration properties

#### getResource

    org.apache.sling.api.resource.Resource getResource()

Get the Resource backing for the resource's component configuration.

Returns:
  the configuration resource